You are not logged in.

#1 2020-01-24 09:43:30

xcbdz
Member
Registered: 2020-01-24
Posts: 4

[SOLVED]Installing Xdmx GL version error

Hello! I've been stuck installing the xorg-server-xdmx-dev using yay. It always throws an error that I don't have the required version of gl. I also tried using only the makepkg and following the instructions here https://bbs.archlinux.org/viewtopic.php?id=251808.

Here's a part of the log with an stderr:

Configuring dix-config.h using configuration
Configuring xorg-server.h using configuration
Configuring version-config.h using configuration
Configuring xkb-config.h using configuration
Configuring xorg-config.h using configuration
Configuring xwin-config.h using configuration
Configuring xwayland-config.h using configuration
Pkg-config binary for MachineChoice.HOST is cached.
Determining dependency 'glproto' with pkg-config executable '/usr/bin/pkg-config'
PKG_CONFIG_PATH: 
Called `/usr/bin/pkg-config --modversion glproto` -> 0
1.4.17
PKG_CONFIG_PATH: 
Called `/usr/bin/pkg-config --cflags glproto` -> 0

PKG_CONFIG_PATH: 
Called `/usr/bin/pkg-config glproto --libs` -> 0

PKG_CONFIG_PATH: 
Called `/usr/bin/pkg-config glproto --libs` -> 0

Run-time dependency glproto found: YES 1.4.17
Pkg-config binary for MachineChoice.HOST is cached.
Determining dependency 'gl' with pkg-config executable '/usr/bin/pkg-config'
PKG_CONFIG_PATH: 
Called `/usr/bin/pkg-config --modversion gl` -> 0
1.2
PKG_CONFIG_PATH: 
Called `/usr/bin/pkg-config --cflags gl` -> 0

PKG_CONFIG_PATH: 
Called `/usr/bin/pkg-config gl --libs` -> 0
-L/usr/lib -lGL
PKG_CONFIG_PATH: 
Called `/usr/bin/pkg-config gl --libs` -> 0
-lGL
Dependency gl found: NO found 1.2 but need: '>= 9.2.0'
Invalid version of dependency, need 'gl' ['>= 9.2.0'] found '1.2'.
Run-time dependency gl found: NO 

glx/meson.build:35:4: ERROR: Invalid version of dependency, need 'gl' ['>= 9.2.0'] found '1.2'.

Output of pacman -Qs xorg-server

local/xorg-server 1.20.7-1 (xorg)
    Xorg X server
local/xorg-server-common 1.20.7-1 (xorg)
    Xorg server common files
local/xorg-server-devel 1.20.7-1 (xorg)
    Development files for the X.Org X server
local/xorg-server-xephyr 1.20.7-1 (xorg)
    A nested X server that runs as an X application
local/xorg-server-xnest 1.20.7-1 (xorg)
    A nested X server that runs as an X application
local/xorg-server-xvfb 1.20.7-1 (xorg)
    Virtual framebuffer X server
local/xorg-server-xwayland 1.20.7-1 (xorg)
    run X clients under wayland

EDIT:
If you are planning to install xorg-server-xdmx which is already dropped. You can use this commit https://git.archlinux.org/svntogit/pack … 7a8afee899.

Last edited by xcbdz (2020-01-25 00:08:39)

Offline

#2 2020-01-24 12:02:40

loqs
Member
Registered: 2014-03-06
Posts: 11,661

Re: [SOLVED]Installing Xdmx GL version error

Welcome to the arch linux forums xcbdz.  When you followed the instructions from https://bbs.archlinux.org/viewtopic.php?id=251808 where did you get stuck?

Offline

#3 2020-01-24 12:58:25

xcbdz
Member
Registered: 2020-01-24
Posts: 4

Re: [SOLVED]Installing Xdmx GL version error

I checked the link then I compiled/installed this https://git.archlinux.org/svntogit/pack … 7a8afee899.  After that, I tried to install again the xorg-server-xdmx-dev package but the problem is still there. Same gl version error

Offline

#4 2020-01-24 13:19:03

loqs
Member
Registered: 2014-03-06
Posts: 11,661

Re: [SOLVED]Installing Xdmx GL version error

That PKGBUILD is a split package including xorg-server-xdmx 1.20.6.  Why would you want to install xorg-server-xdmx-dev 1.20.5 after that?

Offline

#5 2020-01-24 14:13:57

xcbdz
Member
Registered: 2020-01-24
Posts: 4

Re: [SOLVED]Installing Xdmx GL version error

But the pkgbuild installed a xorg-server. I thought it's a patch for xorg-server that will fix the gl dependency. I tried building it again using makepkg -si. The pkgbuild mentioned in the link is outdated. xorg-server-xdmx has been dropped. So I'm trying to install the git version.

Offline

#6 2020-01-24 14:22:39

loqs
Member
Registered: 2014-03-06
Posts: 11,661

Re: [SOLVED]Installing Xdmx GL version error

https://git.archlinux.org/svntogit/pack … 7a8afee899 is from before xorg-server-xdmx was dropped building that commit will build xorg-server-xdmx.

Offline

#7 2020-01-25 00:08:09

xcbdz
Member
Registered: 2020-01-24
Posts: 4

Re: [SOLVED]Installing Xdmx GL version error

Thank you! I tried it again and it installed xdmx successfuly! Thanks for clearing my mind!

Offline

Board footer

Powered by FluxBB